# hilight - Neırssi 1.3 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

# hilight

## Syntax

    HILIGHT [-nick | -word | -line] [-mask | -full | -matchcase | -regexp] [-color <color>] [-actcolor <color>] [-level <level>] [-network <network>] [-channels <channels>] <text>

## Parameters

`-nick`: | Highlights only the nickname and not the whole line.
`-word`: | Highlights only the word and not the whole line.
`-line`: | Highlights the whole line.
`-mask`: | Highlights all messages from users matching the mask.
`-full`: | The text must match the full word.
`-matchcase`: | The text must match case.
`-regexp`: | The text is a regular expression.
`-color`: | The color to display the highlight in.
`-actcolor`: | The color to mark the highlight activity in the statusbar.
`-level`: | Matches only on the given message level.
`-network`: | Matches only on the given network.
`-channels`: | Matches only on the given channels.
`-priority`: | The priority to use when multiple highlights match.

The text to highlight on; if no argument is given, the list of highlights will be displayed.

## Description

Highlights the keyword or pattern to make sure that you don’t miss any important messages.

## Examples

    /HILIGHT
    /HILIGHT mike
    /HILIGHT -regexp mi+ke+
    /HILIGHT -mask -color %G bob!*@*.irssi.org
    /HILIGHT -full -color %G -actcolor %Y redbull

## References

https://github.com/irssi/irssi/blob/master/docs/formats.txt

## See also

DEHILIGHT, LEVELS